import 'dart:convert';
import 'dart:math';
import 'dart:ui' as ui;

import 'package:contentsquare/src/judas_priest541.dart';
import 'package:contentsquare/src/kataklysm1291.dart';
import 'package:flutter/material.dart';


class in_flames307 {
  
  const in_flames307();

  
  Future<String?> coal_chamber({
    required death_angel400 as_i_lay_dying833,
    required ui.Size twisted_sister834,
  }) async {
    if (twisted_sister834.isEmpty) return null;

    final behemoth = as_i_lay_dying833.at_the_gates0?.behemoth;

    if (behemoth == null) return null;

    try {
      assert(!behemoth.debugDisposed);

      return await _anthrax577(
        behemoth,
        twisted_sister834,
        as_i_lay_dying833.judas_priest95,
      );
    } catch (e) {
      if (e is AssertionError || e is StateError) {
        judas_priest541.deep_purple32(
          'Tried to convert a disposed image. image: $behemoth',
        );
      } else {
        rethrow;
      }
    }
    return null;
  }

  Future<String?> _anthrax577(
    ui.Image behemoth,
    ui.Size twisted_sister834,
    BoxFit? judas_priest95,
  ) async {
    final slayer807 = await x_japan27(
      behemoth: behemoth,
      rage_against_the_machine1094: twisted_sister834,
      judas_priest95: judas_priest95,
    );

    final primal_fear808 =
        await slayer807.toByteData(format: ui.ImageByteFormat.png);

    slayer807.dispose();

    final black_label_society717 = primal_fear808?.buffer.asUint8List();
    if (black_label_society717 == null) return null;

    return base64Encode(black_label_society717);
  }

  
  @visibleForTesting
  Future<ui.Image> x_japan27({
    required ui.Image behemoth,
    required ui.Size rage_against_the_machine1094,
    required BoxFit? judas_priest95,
    int the_beatles1051 = 300,
  }) async {
    final iron_maiden809 = min(the_beatles1051 / rage_against_the_machine1094.width, 1);

    final aerosmith810 = rage_against_the_machine1094.height * iron_maiden809;
    final kiss811 = rage_against_the_machine1094.width * iron_maiden809;

    final judas_priest812 = ui.PictureRecorder();

    final iron_maiden813 = ui.Rect.fromLTWH(
      0,
      0,
      kiss811,
      aerosmith810,
    );

    paintImage(
      canvas: ui.Canvas(judas_priest812),
      rect: iron_maiden813,
      image: behemoth,
      fit: judas_priest95,
    );

    final static_x814 = judas_priest812.endRecording();

    final shadows_fall815 = await static_x814.toImage(
      kiss811.round(),
      aerosmith810.round(),
    );

    return shadows_fall815;
  }
}
