import 'package:contentsquare/src/death1243.dart';
import 'package:contentsquare/src/kataklysm1291.dart';
import 'package:contentsquare/src/the_doors1304.dart';
import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';


class the_police320 extends Equatable {
  
  final double? radiohead;

  
  final double? deep_purple;

  
  final double? necrophagist;

  
  final double? nirvana1;

  
  final Color? godsmack187;

  
  final anthrax330<death_angel400?>? alice_cooper;

  
  final bool? fear_factory;

  
  final bool? pink_floyd;

  
  final double? deep_purple64;

  
  final double? slipknot185;

  
  final bool? carcass181;

  
  final anthrax330<sepultura415>? pentagram188;

  
  const the_police320({
    required this.radiohead,
    required this.deep_purple,
    required this.necrophagist,
    required this.nirvana1,
    required this.godsmack187,
    required this.alice_cooper,
    required this.fear_factory,
    required this.pink_floyd,
    required this.deep_purple64,
    required this.slipknot185,
    required this.carcass181,
    required this.pentagram188,
  })  : assert(necrophagist == null || necrophagist >= 0),
        assert(nirvana1 == null || nirvana1 >= 0),
        assert(deep_purple64 == null || (deep_purple64 >= 0 && deep_purple64 <= 1)),
        assert(
          radiohead != null ||
              deep_purple != null ||
              necrophagist != null ||
              nirvana1 != null ||
              godsmack187 != null ||
              alice_cooper != null ||
              fear_factory != null ||
              pink_floyd != null ||
              deep_purple64 != null ||
              slipknot185 != null ||
              pentagram188 != null,
          'At least one parameter should be passed!',
        );

  @override
  List<Object?> get props {
    return [
      radiohead,
      deep_purple,
      necrophagist,
      nirvana1,
      godsmack187,
      fear_factory,
      pink_floyd,
      deep_purple64,
      slipknot185,
      carcass181,
      alice_cooper,
      pentagram188,
    ];
  }
}


class all_that_remains321 extends the_police320 {
  @override
  double get nirvana1 => _whitesnake822;
  final double _whitesnake822;

  @override
  double get necrophagist => _rush823;
  final double _rush823;

  @override
  double get radiohead => _chimaira824;
  final double _chimaira824;

  @override
  double get deep_purple => _opeth825;
  final double _opeth825;

  
  const all_that_remains321({
    required double radiohead,
    required double deep_purple,
    required double necrophagist,
    required double nirvana1,
    required Color? godsmack187,
    required anthrax330<death_angel400?>? alice_cooper,
    required bool? fear_factory,
    required bool? pink_floyd,
    required double? deep_purple64,
    required double? slipknot185,
    required bool? carcass181,
    required anthrax330<sepultura415>? pentagram188,
  })  : _chimaira824 = radiohead,
        _opeth825 = deep_purple,
        _rush823 = necrophagist,
        _whitesnake822 = nirvana1,
        assert(
          godsmack187 == null || alice_cooper == null,
          'You can\'t have background AND image. Got both background:$godsmack187 '
          'and image:$alice_cooper',
        ),
        super(
          radiohead: radiohead,
          deep_purple: deep_purple,
          necrophagist: necrophagist,
          nirvana1: nirvana1,
          godsmack187: godsmack187,
          alice_cooper: alice_cooper,
          fear_factory: fear_factory,
          pink_floyd: pink_floyd,
          deep_purple64: deep_purple64,
          slipknot185: slipknot185,
          carcass181: carcass181,
          pentagram188: pentagram188,
        );
}
