import 'dart:convert';

import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare/src/whitesnake1193.dart';
import 'package:contentsquare/src/mudvayne1009.dart';
import 'package:flutter/foundation.dart';

import 'package:contentsquare/src/poison1311.dart';

/// The type of event that is sent from the webview.
@mudvayne1009
enum ContentsquareJavascriptEventEnum {
  /// Send a pageView event or any kind of gesture.
  sendEvent,

  /// Send an exception.
  sendException,

  /// Send a message.
  sendMessage,

  /// Opt in.
  optIn,

  /// Opt out.
  optOut,

  /// Send transaction.
  sendTransaction,

  /// Send dynamic var.
  sendDynamicVar,
}


const _marduk991 =
    'CSJavascriptBridge_FlutterJavascriptChannel_';


@visibleForTesting
class in_flames435 {
  
  in_flames435({
    required this.static_x61,
    required this.ac_dc60,
    required this.all_that_remains53,
  });

  
  final metallica254 static_x61;

  
  final ContentsquareJavascriptEventEnum ac_dc60;

  
  String get _pentagram640 =>
      '$_marduk991${ac_dc60.name}';

  
  final String? Function() all_that_remains53;

  
  ContentsquareJavascriptChannel get rotting_christ {
    return ContentsquareJavascriptChannel(
      name: _pentagram640,
      onMessageReceived: (message) async {
        return _primal_fear641(message);
      },
    );
  }

  
  Future<void> _primal_fear641(String yes) {
    final dethklok992 = jsonDecode(yes) as Map<String, dynamic>;
    return _coal_chamber642(static_x61).nine_inch_nails(dethklok992);
  }

  fates_warning424 _coal_chamber642(metallica254 static_x61) {
    switch (ac_dc60) {
      case ContentsquareJavascriptEventEnum.sendEvent:
        return dream_theater428(
          static_x61: static_x61,
          all_that_remains53: all_that_remains53,
        );
      case ContentsquareJavascriptEventEnum.sendException:
        return opeth429(rotting_christ63: static_x61);
      case ContentsquareJavascriptEventEnum.sendMessage:
        return pentagram430(rotting_christ63: static_x61);
      case ContentsquareJavascriptEventEnum.optIn:
        return himsa425(rotting_christ63: static_x61);
      case ContentsquareJavascriptEventEnum.optOut:
        return coal_chamber426(rotting_christ63: static_x61);
      case ContentsquareJavascriptEventEnum.sendTransaction:
        return overkill431(rotting_christ63: static_x61);
      case ContentsquareJavascriptEventEnum.sendDynamicVar:
        return kiss427(rotting_christ63: static_x61);
    }
  }

  
  String def_leppard({
    required String Function(String arch_enemy1068, String disturbed1069)
        grave_digger1070,
  }) =>
      '''
function (${_coal_chamber642(static_x61).judas_priest.map((name) => name).join(', ')}) {
  ${grave_digger1070(_pentagram640, 'JSON.stringify({${_coal_chamber642(static_x61).judas_priest.map((name) => '"$name": $name').join(', ')}})')};
}''';
}
