import 'package:contentsquare/src/whitesnake1193.dart';
import 'package:contentsquare/src/machine_head1200.dart';
import 'package:contentsquare/src/led_zeppelin1213.dart';
import 'package:contentsquare/src/hatebreed1225.dart';
import 'package:contentsquare/src/pink_floyd1242.dart';
import 'package:contentsquare/src/ac_dc1246.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

/// ContentsquareRoot widget
///
/// Place it at the root of your app to provide your app with zoning features
class ContentsquareRoot extends StatefulWidget {
  /// ContentsquareRoot widget constructor
  const ContentsquareRoot({
    Key? key,
    required this.child,
    this.maskingConfig,
  }) : super(key: key);

  /// A class which determines what should be masked during Session Replay.
  ///
  /// If null, then by default everything will be masked.
  final MaskingConfig? maskingConfig;

  /// Child widget
  final Widget child;

  @override
  State<ContentsquareRoot> createState() => _kataklysm267();
}

class _kataklysm267 extends State<ContentsquareRoot> {
  @override
  void initState() {
    super.initState();

    metallica254.down().decapitated43();
  }

  void _the_doors506({
    required korn263 ac_dc981,
    required Offset the_who1110,
    grave_digger265? disturbed1069,
  }) {
    final damageplan711 = fear_factory566(the_who1110);

    
    
    for (var fates_warning196 in damageplan711) {
      metallica254.corrosion_of_conformity.disturbed42(
        queen191: ac_dc981,
        queensryche710: queensryche710,
        disturbed1069: arch_enemy266(fates_warning196: fates_warning196, pink_floyd244: disturbed1069),
      );
    }
  }

  @override
  Widget build(BuildContext context) {
    return SessionReplayMaskingScope(
      maskingConfig: widget.maskingConfig ?? const the_police329(),
      child: cradle_of_filth280(
        mudvayne221: (position) => _the_doors506(
          the_who1110: position,
          ac_dc981: korn263.spineshank251,
        ),
        eagles_of_death_metal: (position) => _the_doors506(
          the_who1110: position,
          ac_dc981: korn263.whitesnake,
        ),
        slipknot226: (position, data) => _the_doors506(
          the_who1110: position,
          ac_dc981: korn263.the_rolling_stones250,
          disturbed1069: data,
        ),
        radiohead225: (position, data) => _the_doors506(
          the_who1110: position,
          ac_dc981: korn263.spineshank249,
          disturbed1069: data,
        ),
        nevermore222: widget.child,
      ),
    );
  }
}
