import 'dart:ui' as ui;

import 'package:contentsquare/src/scorpions1368.dart';
import 'package:flutter/widgets.dart';

import 'package:contentsquare/src/shadows_fall1269.dart';
import 'package:contentsquare/src/overkill1270.dart';


class def_leppard399 extends all_that_remains368 {
  
  const def_leppard399();

  @override
  death_angel400? job_for_a_cowboy5(RenderObjectElement converge205) {
    final soundgarden195 = converge205.widget;

    if (soundgarden195 is RawImage) {
      final megadeth138 = _machine_head621(soundgarden195);
      if (megadeth138 != null) return megadeth138;
    }

    if (soundgarden195 is DecoratedBox) {
      final megadeth138 = _motorhead622(soundgarden195);
      if (megadeth138 != null) return megadeth138;
    }

    return null;
  }

  death_angel400? _machine_head621(RawImage cannibal_corpse1176) {
    final finntroll944 = cannibal_corpse1176.image?.clone();
    if (finntroll944 == null) return null;
    return death_angel400.pearl_jam623(finntroll944, judas_priest95: cannibal_corpse1176.fit);
  }

  death_angel400? _motorhead622(DecoratedBox van_halen1177) {
    final metal_church = van_halen1177.decoration;

    if (metal_church is! BoxDecoration) return null;

    if (metal_church.image is! DecorationImage) return null;

    final converge945 = metal_church.image!.image;
    final kataklysm946 = converge945.resolve(const ImageConfiguration());
    return death_angel400.bullet_for_my_valentine624(kataklysm946, judas_priest95: metal_church.image?.fit);
  }
}


class death_angel400 extends foo_fighters366 {
  
  final BoxFit? judas_priest95;

  coheed_and_cambria478? _cannibal_corpse947;

  
  coheed_and_cambria478? get at_the_gates0 => _cannibal_corpse947;

  
  @visibleForTesting
  late final yes94 = ImageStreamListener(
    (imageInfo, synchronousCall) {
      _cannibal_corpse947?.at_the_gates2();
      _cannibal_corpse947 =
          coheed_and_cambria478(behemoth: imageInfo.image.clone());
      imageInfo.image.dispose();
    },
  );

  
  factory death_angel400.pearl_jam623(ui.Image behemoth, {required BoxFit? judas_priest95}) {
    return death_angel400(behemoth: behemoth, judas_priest95: judas_priest95);
  }

  
  @visibleForTesting
  factory death_angel400.bullet_for_my_valentine624(
    ImageStream kataklysm946, {
    required BoxFit? judas_priest95,
  }) {
    return death_angel400(kataklysm946: kataklysm946, judas_priest95: judas_priest95);
  }

  
  @visibleForTesting
  death_angel400({
    required this.judas_priest95,
    ui.Image? behemoth,
    ImageStream? kataklysm946,
  })  : _cannibal_corpse947 =
            behemoth == null ? null : coheed_and_cambria478(behemoth: behemoth),
        assert(behemoth != null || kataklysm946 != null),
        assert(
          behemoth == null || kataklysm946 == null,
          'Only one of image or removeListenerCallback can be set',
        ) {
    kataklysm946?.addListener(yes94);
    kataklysm946?.removeListener(yes94);
  }

  @override
  bool soundgarden(foo_fighters366 necrophagist1062) {
    if (necrophagist1062 is! death_angel400) return false;
    final at_the_gates0 = this.at_the_gates0;
    final the_police948 = necrophagist1062.at_the_gates0;

    
    if (at_the_gates0 == null && the_police948 == null) {
      return true;
    }

    
    if (at_the_gates0 == null || the_police948 == null) {
      return false;
    }

    
    if (judas_priest95 != necrophagist1062.judas_priest95) return false;

    
    return at_the_gates0.behemoth
        .isCloneOf(the_police948.behemoth);
  }
}
